Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss.operation
Class DoServiceAnonymousHandler

    java.lang.Object
      org.deegree.ogcwebservices.wass.wss.operation.DoServiceHandler
          org.deegree.ogcwebservices.wass.wss.operation.DoServiceAnonymousHandler

    public class DoServiceAnonymousHandler

extends DoServiceHandler

Enables the possibily for a client to make an anonymous DoService Request to the wss.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`DoServiceAnonymousHandler()`

Method Summary
`void` | `handleRequest(DoService request)` Each subclass must implement this method, appropriate to its needs.

Methods inherited from class org.deegree.ogcwebservices.wass.wss.operation.DoServiceHandler
`requestAllowed, sendRequest, setRequestAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoServiceAnonymousHandler

    public DoServiceAnonymousHandler()

Method Detail

### handleRequest

    public void handleRequest(DoService request)
                       throws DoServiceException

  Description copied from class: `DoServiceHandler`
  Each subclass must implement this method, appropriate to its needs. For example password handling.

  Specified by:
    `handleRequest` in class `DoServiceHandler`
  Parameters:
    `request` - the request the client sent to the secured service
  Throws:
    `DoServiceException` - if an error occured while processing the clients credentials.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org